Bug 760638 - Please add demosaic packs
Summary: Please add demosaic packs
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: LibRaw
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Siddhesh Poyarekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-06 17:01 UTC by nucleo
Modified: 2015-09-14 00:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-11 04:28:32 UTC
Type: ---


Attachments (Terms of Use)

Description nucleo 2011-12-06 17:01:55 UTC
Description of problem:
Some of cameras needs LibRaw built with demosaic packs
http://www.libraw.org/data/LibRaw-demosaic-pack-GPL2-0.14.3.tar.gz
http://www.libraw.org/data/LibRaw-demosaic-pack-GPL3-0.14.3.tar.gz

Please build LibRaw with this packs.

Comment 1 Kevin Kofler 2011-12-06 17:05:42 UTC
BTW, the resulting license will be GPLv3+, which should be fine for the current users of the library, though you should announce the license change on the devel mailing list as per the policy, just to be sure.

Comment 2 nucleo 2011-12-06 18:25:47 UTC
This patch works for me (./configure detects packs):
Activated LibRaw demosaic pack/GPL2 in ../LibRaw-0.14.3/LibRaw-demosaic-pack-GPL2-0.14.3
Activated LibRaw demosaic pack/GPL3 in ../LibRaw-0.14.3/LibRaw-demosaic-pack-GPL3-0.14.3


--- LibRaw.spec	2011-11-16 10:37:59.000000000 +0200
+++ LibRaw.spec	2011-12-06 20:20:34.330905243 +0200
@@ -3,7 +3,7 @@
 Name: LibRaw
 Version: 0.14.3
 Release: 1%{?dist}
-License: LGPLv2 or CDDL
+License: GPLv3+
 Group: Development/Libraries
 URL: http://www.libraw.org
 
@@ -12,6 +12,8 @@
 
 
 Source0: http://www.libraw.org/data/%{name}-%{version}.tar.gz
+Source1: http://www.libraw.org/data/%{name}-demosaic-pack-GPL2-%{version}.tar.gz
+Source2: http://www.libraw.org/data/%{name}-demosaic-pack-GPL3-%{version}.tar.gz
 
 %description
 LibRaw is a library for reading RAW files obtained from digital photo
@@ -39,11 +41,11 @@
 LibRaw static development libraries.
 
 %prep
-%setup -q
+%setup -q -a1 -a2
 
 %build
 # This is not the autotools generated configure script
-%configure --enable-examples=no --enable-jasper --enable-lcms
+%configure --enable-examples=no --enable-jasper --enable-lcms --enable-demosaic-pack-gpl2 --enable-demosaic-pack-gpl3
 make %{?_smp_mflags}
 
 %install

Comment 3 Siddhesh Poyarekar 2011-12-09 13:53:43 UTC
Submitted a build in rawhide and license change announced in fedora-devel list:

https://lists.fedoraproject.org/pipermail/devel/2011-December/160386.html

I'll close this after the build is complete.

Comment 4 Siddhesh Poyarekar 2012-03-11 04:28:32 UTC
The build completed a few minutes after I posted comment 3 and I forgot to close this bz. This should be available in rawhide as well as f17.


Note You need to log in before you can comment on or make changes to this bug.